
Foreman - Bug #29709

Only one interface can be marked as Managed

05/06/2020 10:44 AM - Michael Spindelboeck

Status: Closed   

Priority: High   

Assignee: Ondřej Pražák   

Category: Network   

Target version: 2.0.1   

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: No Found in Releases: 2.0.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7693

  

Description

Since the 2.0 update I have the problem that only one interface could be managed. This only applies to the web interface.

Seems that the managed button is a toggle now.

We have the problem in all three foreman installations. All have the same foreman version.

Expected outcome:

More than one interface could be managed

Foreman and Proxy versions:

foreman-2.0.0-2.el7.noarch

foreman-proxy-2.0.0-1.el7.noarch

Foreman and Proxy plugin versions:

tfm-rubygem-foreman-tasks-1.0.1-3.fm2_0.el7.noarch

tfm-rubygem-foreman_discovery-16.0.1-2.fm2_0.el7.noarch

tfm-rubygem-foreman_expire_hosts-7.0.0-2.fm2_0.el7.noarch

tfm-rubygem-foreman-tasks-core-0.3.3-1.fm1_25.el7.noarch

tfm-rubygem-hammer_cli_foreman-2.0.2-1.el7.noarch

tfm-rubygem-foreman_bootdisk-doc-16.0.0-2.fm2_0.el7.noarch

tfm-rubygem-foreman_discovery-doc-16.0.1-2.fm2_0.el7.noarch

tfm-rubygem-hammer_cli_foreman_discovery-1.0.2-1.fm1_25.el7.noarch

tfm-rubygem-foreman_bootdisk-16.0.0-2.fm2_0.el7.noarch

tfm-rubygem-foreman_openscap-2.0.2-3.fm2_0.el7.noarch

Distribution and version:

LSB Version: :core-4.1-amd64:core-4.1-noarch Distributor ID: RedHatEnterpriseServer Description: Red Hat Enterprise Linux Server

release 7.8 (Maipo) Release: 7.8 Codename: Maipo

Related issues:

Related to Foreman - Feature #25168: Add “Managed” into interface overview Closed

Associated revisions

Revision e7f075a3 - 05/26/2020 10:03 AM - Ondřej Pražák

Fixes #29709 - Check properly managed interfaces

History

#1 - 05/06/2020 02:01 PM - Tomer Brisker

- Related to Feature #25168: Add “Managed” into interface overview added

#2 - 05/25/2020 07:44 AM - Tomer Brisker

- Category set to Network

- Target version set to 2.0.1
#3 - 05/25/2020 07:47 AM - Tomer Brisker

- Subject changed from Foreman 2.0 - Managed Interfaces UI button problem to Only one interface can be marked as Managed

#4 - 05/25/2020 10:32 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/7693 added

#5 - 05/26/2020 10:03 AM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#6 - 05/26/2020 10:05 AM - Tomer Brisker

- Fixed in Releases 2.0.1, 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#7 - 05/26/2020 11:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset e7f075a385da904cbd158bcb859c1644afbd3145.

#8 - 06/19/2020 11:01 AM - Michael Spindelboeck

I understand correctly that the fix is included in 2.1rc3. If so, it won't work.

#9 - 06/19/2020 04:09 PM - Michael Spindelboeck

Sorry i was on the wrong test system. It is working in 2.1rc3 and 2.0.1 without any problems

#10 - 09/10/2020 04:59 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
